# class Chef::Provider::Log::ChefLog

Chef log provider, allows logging to chef's logs from recipes

### Public Instance Methods

action_write() click to toggle source

Write the log to Chef’s log

### Return¶ ↑

true

  Always return true

    # File lib/chef/provider/log.rb, line 40
    def action_write
      Chef::Log.send(@new_resource.level, @new_resource.message)
      @new_resource.updated_by_last_action(true)
    end

load_current_resource() click to toggle source

No concept of a ‘current’ resource for logs, this is a no-op

### Return¶ ↑

true

  Always return true

    # File lib/chef/provider/log.rb, line 32
    def load_current_resource
      true
    end